com.holonplatform.vaadin7.navigator.internal

## Class DefaultNavigationBuilder

- java.lang.Object
- - com.holonplatform.vaadin7.navigator.internal.DefaultNavigationBuilder

- All Implemented Interfaces:
    ViewNavigator.NavigationBuilder

      public class DefaultNavigationBuilder
      extends Object
      implements ViewNavigator.NavigationBuilder

  Default `ViewNavigator.NavigationBuilder` implementation
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNavigationBuilder(ViewNavigator navigator, String viewName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `navigate()` Navigate to view with registered parameters, if any
    `com.vaadin.ui.Window` | `navigateInWindow(Consumer<ViewWindowConfigurator> windowConfiguration)` Navigate to view with registered parameters, rendering the View contents in an application Window, using optional `windowConfiguration` to setup Window features.
    `ViewNavigator.NavigationBuilder` | `withParameter(String name, Object value)` Add view parameter

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin7.navigator.ViewNavigator.NavigationBuilder

      `navigateInWindow`

- - ### Constructor Detail

    - #### DefaultNavigationBuilder

          public DefaultNavigationBuilder(ViewNavigator navigator,
                                          String viewName)

  - ### Method Detail

    - #### withParameter

          public ViewNavigator.NavigationBuilder withParameter(String name,
                                                               Object value)

      Description copied from interface: `ViewNavigator.NavigationBuilder`
      Add view parameter
      Specified by:
        `withParameter` in interface `ViewNavigator.NavigationBuilder`
      Parameters:
        `name` - Parameter name (required)
        `value` - Parameter value
      Returns:
        this

    - #### navigate

          public void navigate()
                        throws ViewNavigator.ViewNavigationException

      Description copied from interface: `ViewNavigator.NavigationBuilder`
      Navigate to view with registered parameters, if any
      Specified by:
        `navigate` in interface `ViewNavigator.NavigationBuilder`
      Throws:
        `ViewNavigator.ViewNavigationException` - Navigation failed

    - #### navigateInWindow

          public com.vaadin.ui.Window navigateInWindow(Consumer<ViewWindowConfigurator> windowConfiguration)
                                                throws ViewNavigator.ViewNavigationException

      Description copied from interface: `ViewNavigator.NavigationBuilder`
      Navigate to view with registered parameters, rendering the View contents in an application Window, using optional `windowConfiguration` to setup Window features.
      Specified by:
        `navigateInWindow` in interface `ViewNavigator.NavigationBuilder`
      Parameters:
        `windowConfiguration` - View Window configurator
      Returns:
        The UI Window in which the View is displayed
      Throws:
        `ViewNavigator.ViewNavigationException` - Navigation failed

Copyright © 2019 The Holon Platform. All rights reserved.